### Hierarchy

- NetInput

## Index

### Constructors

- constructor

### Accessors

- batchSize
- canvases
- imageTensors
- inputDimensions
- inputSize
- isBatchInput
- reshapedInputDimensions

### Methods

- getInput
- getInputDimensions
- getInputHeight
- getInputWidth
- getReshapedInputDimensions
- toBatchTensor

## Constructors

### constructor

- new NetInput(inputs: any[], treatAsBatchInput?: boolean): NetInput

- - Defined in dom/NetInput.ts:22

  #### Parameters

  - ##### inputs: any[]

  - ##### treatAsBatchInput: boolean = false

  #### Returns NetInput

## Accessors

### batchSize

- get batchSize(): number

- - Defined in dom/NetInput.ts:68

  #### Returns number

### canvases

- get canvases(): HTMLCanvasElement[]

- - Defined in dom/NetInput.ts:60

  #### Returns HTMLCanvasElement[]

### imageTensors

- get imageTensors(): any[]

- - Defined in dom/NetInput.ts:56

  #### Returns any[]

### inputDimensions

- get inputDimensions(): number[][]

- - Defined in dom/NetInput.ts:72

  #### Returns number[][]

### inputSize

- get inputSize(): undefined | number

- - Defined in dom/NetInput.ts:76

  #### Returns undefined | number

### isBatchInput

- get isBatchInput(): boolean

- - Defined in dom/NetInput.ts:64

  #### Returns boolean

### reshapedInputDimensions

- get reshapedInputDimensions(): Dimensions[]

- - Defined in dom/NetInput.ts:80

  #### Returns Dimensions[]

## Methods

### getInput

- getInput(batchIdx: number): any

- - Defined in dom/NetInput.ts:86

  #### Parameters

  - ##### batchIdx: number

  #### Returns any

### getInputDimensions

- getInputDimensions(batchIdx: number): number[]

- - Defined in dom/NetInput.ts:90

  #### Parameters

  - ##### batchIdx: number

  #### Returns number[]

### getInputHeight

- getInputHeight(batchIdx: number): number

- - Defined in dom/NetInput.ts:94

  #### Parameters

  - ##### batchIdx: number

  #### Returns number

### getInputWidth

- getInputWidth(batchIdx: number): number

- - Defined in dom/NetInput.ts:98

  #### Parameters

  - ##### batchIdx: number

  #### Returns number

### getReshapedInputDimensions

- getReshapedInputDimensions(batchIdx: number): Dimensions

- - Defined in dom/NetInput.ts:102

  #### Parameters

  - ##### batchIdx: number

  #### Returns Dimensions

### toBatchTensor

- toBatchTensor(inputSize: number, isCenterInputs?: boolean): any

- - Defined in dom/NetInput.ts:121

  Create a batch tensor from all input canvases and tensors with size [batchSize, inputSize, inputSize, 3].

  #### Parameters

  - ##### inputSize: number

    Height and width of the tensor.

  - ##### isCenterInputs: boolean = true

  #### Returns any

  The batch tensor.